For the complete documentation index, see llms.txt. This page is also available as Markdown.

Public Interest Lawyer

Filter cases by public interest lawyer status

Filter by public interest value (int).

GET https://clearinghouse.net/api/v2p1/cases?public_interest_lawyer=public_interest_lawyer_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported public interest lawyer IDs (public_interest_lawyer_id):

5802
No

5801

Yes

5803

Unknown

For more information about public interest lawyer status, see public_interest_lawyer.

Example

https://clearinghouse.net/api/v2p1/cases?public_interest_lawyer=5803
import requests

url = "https://clearinghouse.net/api/v2p1/cases?public_interest_lawyer=5803"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated